Name: vixie-cron
Version: 4.1.20040916
Release: alt2

Summary: The Vixie cron daemon for executing specified programs at set times
License: distributable
Group: System/Servers

Source0: %name-%version.tar.bz2
Source1: %name.init
Source2: crontab.template
Source3: crond.pamd

Provides: %_sysconfdir/cron.d, at = %version-%release
Obsoletes: at

PreReq: crontab-control
Requires(post): %post_service
Requires(preun): %preun_service
Requires: vitmp

Patch1: %name-4.1.20040916-alt-warnings.patch
Patch2: %name-4.1.20040916-owl-alt-linux.patch
Patch3: %name-4.1.20040916-owl-vitmp.patch
Patch4: %name-4.1.20040916-owl-crond.patch
Patch5: %name-4.1.20040916-alt-makefile.patch
Patch6: %name-4.1.20040916-alt-progname.patch
Patch7: %name-4.1.20040916-alt-crontab-template.patch
Patch8: %name-4.1.20040916-alt-sigpipe.patch
Patch9: %name-4.1.20040916-alt-pam.patch
Patch10: %name-4.1.20040916-alt-setlocale.patch
Patch11: %name-4.1.20040916-alt-children.patch
Patch12: %name-4.1.20040916-alt-setproctitle.patch

BuildRequires: libpam-devel, setproctitle-devel

%description
cron is a daemon that runs specified programs at scheduled times.  This
package contains Paul Vixie's implementation of cron, with significant
modifications by the NetBSD, OpenBSD, Red Hat, Owl and ALT teams.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%__subst 's/ rcsid)/ "%name-%version-%release")/' usr.sbin/cron/crontab.c
find -type f -name \*.orig -delete -print

%build
for i in usr.sbin/cron usr.bin/crontab usr.bin/at; do
%make_build .CURDIR=. -C "$i"
done

%install
%__mkdir_p $RPM_BUILD_ROOT{%_sysconfdir/cron.d,/var/spool/{cron,at}}

for i in usr.sbin/cron usr.bin/crontab usr.bin/at; do
%makeinstall .CURDIR=. -C "$i"
done

for i in atq atrm batch; do
%__ln_s at $RPM_BUILD_ROOT%_bindir/$i
done

%__ln_s at.1 $RPM_BUILD_ROOT%_man1dir/batch.1
%__ln_s cron.8 $RPM_BUILD_ROOT%_man8dir/crond.8

%__install -pD -m755 %SOURCE1 $RPM_BUILD_ROOT%_initdir/crond
%__install -pD -m644 %SOURCE2 $RPM_BUILD_ROOT%_sysconfdir/crontab.template
%__install -pD -m640 %SOURCE3 $RPM_BUILD_ROOT%_sysconfdir/pam.d/crond

touch $RPM_BUILD_ROOT%_sysconfdir/{at,cron}.{allow,deny}

%pre
%pre_control crontab at

%post
%post_control crontab at
%post_service crond

%preun
%preun_service crond

%files
%_sbindir/*
%attr(700,root,root) %_bindir/at
%attr(700,root,root) %_bindir/crontab
%_bindir/atq
%_bindir/atrm
%_bindir/batch
%_mandir/man?/*
%config %_initdir/crond
%attr(640,root,crontab) %ghost %_sysconfdir/at.allow
%attr(640,root,crontab) %ghost %_sysconfdir/cron.allow
%attr(640,root,crontab) %config(noreplace) %_sysconfdir/at.deny
%attr(640,root,crontab) %config(noreplace) %_sysconfdir/cron.deny
%config(noreplace) %_sysconfdir/crontab.template
%config(noreplace) %_sysconfdir/pam.d/crond
%attr(1770,root,crontab) %dir /var/spool/at
%attr(3730,root,crontab) %dir /var/spool/cron
%attr(750,root,root) %dir %_sysconfdir/cron.d

%changelog
* Sat Dec 18 2004 Dmitry V. Levin <ldv@altlinux.org> 4.1.20040916-alt2
- Applied few corrections to owl-alt-linux and owl-crond patches,
  as suggested by Jarno Huuskonen.
- Fixed children handling in crond.
- Enabled setproctitle.

* Wed Nov 03 2004 Dmitry V. Levin <ldv@altlinux.org> 4.1.20040916-alt1
- Updated to OpenBSD snapshot 200409162011, based on ISC Cron V4.1.
- Updated patches.

* Sat Jun 12 2004 Dmitry V. Levin <ldv@altlinux.org> 4.0.b1.20040604-alt2
- crond, crontab: do not call setlocale(3).

* Mon Jun 07 2004 Dmitry V. Levin <ldv@altlinux.org> 4.0.b1.20040604-alt1
- Updated to OpenBSD snapshot 20040604, with all
  non-linux-specific fixes applied.
- Updated patches.

* Mon May 31 2004 Dmitry V. Levin <ldv@altlinux.org> 4.0b1-alt3
- Restore default action for SIGPIPE and SIGUSR1 right before
  user scripts execution.
- PAMified crond.

* Fri May 28 2004 Dmitry V. Levin <ldv@altlinux.org> 4.0b1-alt2
- Fixed bugs found since -alt1 release.

* Thu May 27 2004 Stanislav Ievlev <inger@altlinux.org> 4.0b1-alt1
- Updated to vixie-cron-4.0b1 with patches from OpenBSD-3.5 and Owl,
  which also provides "at" functionality.
- Applied patch from Jarno Huuskonen (Owl) for cleaner build on linux.
- Updated ALT patches.
- Keep "crontab" and "at" at mode "restricted" in the package, but
  default it to "public" in %%post when the package is first installed.
  This avoids a race and fail-open behaviour.
- Moved control files to separate subpackage.

* Fri Apr 25 2003 Dmitry V. Levin <ldv@altlinux.org> 3.0.1-ipl57mdk
- Daemonize properly (#0002546).
- Clear environment at startup.
- Use proper default PATH value.
- Rewritten start/stop script to new rc scheme.

* Mon Nov 18 2002 Dmitry V. Levin <ldv@altlinux.org> 3.0.1-ipl56mdk
- crontab: added /etc/crontab.template support.

* Sun Oct 13 2002 Dmitry V. Levin <ldv@altlinux.org> 3.0.1-ipl55mdk
- Rediffed our unified patch.
- Compiled with -DLINT, to ignore rcsid[] stuff.
- Added control support for crontab.

* Wed Sep 25 2002 Dmitry V. Levin <ldv@altlinux.org> 3.0.1-ipl54mdk
- Provides: %_sysconfdir/cron.d

* Fri May 17 2002 Dmitry V. Levin <ldv@altlinux.org> 3.0.1-ipl53mdk
- Ensure all files are closed in crontab(1) when the editor is run.
- Set default crontab(1) editor to vitmp(1).

* Thu May 17 2001 Dmitry V. Levin <ldv@altlinux.ru> 3.0.1-ipl52mdk
- Use service macros.
- Fixed tmp files handling in crontab.

* Wed May 16 2001 Dmitry V. Levin <ldv@altlinux.ru> 3.0.1-ipl51mdk
- Made unified patch.
- Added shadow-utils to prereqs.
- Skip junk files from /var/spool/cron and %_sysconfdir/cron.d

* Mon May 14 2001 Stanislav Ievlev <inger@altlinux.ru> 3.0.1-ipl50mdk
- Add new patches from MDK and Owl.

* Fri Feb 23 2001 Dmitry V. Levin <ldv@fandra.org> 3.0.1-ipl49mdk
- Fixed build with glibc-2.2.2

* Wed Feb 14 2001 Dmitry V. Levin <ldv@fandra.org> 3.0.1-ipl48mdk
- Fixed some strcpy calls.

* Mon Feb 12 2001 Dmitry V. Levin <ldv@fandra.org> 3.0.1-ipl47mdk
- Enhanced error reporting.
- Account for shifts in system clock (rh).

* Wed Dec 27 2000 Dmitry V. Levin <ldv@fandra.org> 3.0.1-ipl46mdk
- Added PreReq on initscripts.

* Thu Sep 14 2000 Dmitry V. Levin <ldv@fandra.org> 3.0.1-ipl45mdk
- RE adaptions.

* Tue Sep 12 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.0.1-45mdk
- force crond to use syslog.

* Mon Aug 21 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 3.0.1-44mdk
- Macro's
- BM
- /etc/rc.d/init.d --> /etc/init.d
- Geoff <snailtalk@mandrakesoft.com> no we actually use _initrddir ..

* Mon Jul 17 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.0.1-43mdk
- remove useless man-pages compression and let spec-helper work

* Sat Jul 15 2000 Stefan van der Eijk <s.vandereijk@chello.nl>
- changed way manpages are compressed, use find instead of for

* Mon Apr 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 3.0.1-42mdk
- Fixed group

* Sun Mar 19 2000 John Buswell <johnb@mandrakesoft.com> 3.0.1-41mdk
- Added PPC patches

* Tue Jan 11 2000 Pixel <pixel@linux-mandrake.com>
- non root build

* Tue Oct 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Move some to from %postun to %preun.
- Merge with redhat patchs.

* Thu Apr 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Mandrake adaptations.

* Wed Apr 14 1999 Michael K. Johnson <johnsonm@redhat.com>
- add note to man page about DST conversion causing strangeness
- documented cron.d patch

* Tue Apr 13 1999 Michael K. Johnson <johnsonm@redhat.com>
- improved cron.d patch

* Mon Apr 12 1999 Erik Troan <ewt@redhat.com>
- added cron.d patch

* Tue Mar 23 1999 Bill Nottingham <notting@redhat.com>
- logrotate changes

* Tue Mar 23 1999 Preston Brown <pbrown@redhat.com>
- clean up log files on deinstallation

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 28)

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Wed Jun 10 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Wed Jun 10 1998 Jeff Johnson <jbj@redhat.com>
- reset SIGCHLD before grandchild execle (problem #732)

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- enhanced initscript

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Dec 11 1997 Cristian Gafton <gafton@redhat.com>
- added a patch to get rid of the dangerous sprintf() calls
- added BuildRoot and Prereq: /sbin/chkconfig

* Sun Nov 09 1997 Michael K. Johnson <johnsonm@redhat.com>
- fixed cron/crond dichotomy in init file.

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>
- fixed bad init symlinks

* Thu Oct 23 1997 Erik Troan <ewt@redhat.com>
- force it to use SIGCHLD instead of defunct SIGCLD

* Mon Oct 20 1997 Erik Troan <ewt@redhat.com>
- updated for chkconfig
- added status, restart options to init script

* Tue Jun 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Wed Feb 19 1997 Erik Troan <ewt@redhat.com>
- Switch conditional from "axp" to "alpha"

